class COleItemContainer : public IOleItemContainer
{
    protected:
        ULONG               m_cRef;
        LPUNKNOWN           m_pUnkOuter;

        BOOL                m_fFileObj;
        PCFileObject        m_pObjFile;
        PCContainerItem     m_pObjCont;

    public:
        COleItemContainer(LPVOID, LPUNKNOWN, BOOL);
        ~COleItemContainer(void);

        HRESULT GetRunning(LPOLESTR, IBindCtx *, REFIID, void **, BOOL);

        STDMETHODIMP QueryInterface(REFIID, PPVOID);
        STDMETHODIMP_(ULONG) AddRef(void);
        STDMETHODIMP_(ULONG) Release(void);

        STDMETHODIMP ParseDisplayName(LPBC, LPOLESTR, ULONG *, LPMONIKER *);
        STDMETHODIMP EnumObjects(DWORD, LPENUMUNKNOWN *);
        STDMETHODIMP LockContainer(BOOL);
        STDMETHODIMP GetObject(LPOLESTR, DWORD, LPBINDCTX, REFIID, PPVOID);
        STDMETHODIMP GetObjectStorage(LPOLESTR, LPBINDCTX, REFIID, PPVOID);
        STDMETHODIMP IsRunning(LPOLESTR);
};

